Templates Get For Team

View as MarkdownOpen in Claude
Get the schema for a specified template. **Required scope:** `files.team_metadata.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
template_idstringRequiredformat: "(/|ptid:).*">=1 character

An identifier for template added by route See templates/add_for_user or templates/add_for_team.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
descriptionstring
Description for the template. Template descriptions can be up to 1024 bytes.
fieldslist of objects
Definitions of the property fields associated with this template. There can be up to 32 properties in a single template.
namestring
Display name for the template. Template names can be up to 256 bytes.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error